Can't shut down libvirt guests in Foreman 1.5
Description

I've just upgraded to Foreman 1.5 and when I try to Power Off a host, I get the following error:

Call to virDomainShutdownFlags failed: unknown procedure: 258

History

#1 - 06/03/2014 12:16 PM - Lukas Zapletal

Hello,

what distribution and libvirtd version do you use? It looks like this is some old version of libvirt to me.

#2 - 06/03/2014 01:05 PM - Andy Taylor

Hi Lukas,

I think you are right. We are running CentOS 6 with libvirt 0.9.4 installed. An update to libvirt 0.10.2 is available in updates. A quick scan of the libvirt

git repo commit history suggests that virDomainShutdownFlags was added in 2012, while libvirt 0.9.4 was released in 2011.

I think it's fair to assume that's the problem, so I'll schedule an upgrade on my end. Thanks for the help and please close the issue.

#3 - 06/16/2014 04:43 PM - Dominic Cleal

- Status changed from New to Resolved

Thanks for confirming, useful info!
